**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/23.1/workflows/workflow-tasks/retrieve-workflow-task-details.md

# Retrieve Workflow Task Details



Retrieve the details of a specific workflow task.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `loc` | When localized (translated) strings are available, retrieve them by including `loc=true`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.2/objects/objectworkflows/tasks/123001

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "responseDetails": {
       "url": "/api/v21.2/objects/objectworkflows/tasks/123001",
       "object": {
           "name": "objectworkflow_tasks",
           "label": "Object Workflow Task",
           "url": "/api/v21.2/metadata/objectworkflows/tasks",
           "label_plural": "Object Workflow Tasks"
       }
   },
   "data": [
       {
           "id": 123001,
           "label__v": "R&U WF Task New",
           "status__v": [
               "assigned__v"
           ],
           "object__v": "envelope__sys",
           "record_id__v": "0ER00000003F001",
           "instructions__v": "Complete this new task",
           "assignee__v": "674737",
           "created_date__v": "2021-05-31T18:33:34.000Z",
           "assigned_date__v": "2021-05-31T18:33:34.000Z",
           "workflow__v": "22901",
           "workflow_class__sys": "read_and_understood__sys"
       }
   ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response lists all workflow tasks matching the query parameters. The task may include the following fields:

* `id` - The task ID.

* `label__v` - The task label as seen in the UI.

* `status__v` - The current status of the task.

* `object__v` - The name of the object using the task.

* `record_id__v` - The ID of the object record using the task.

* `instructions__v` - Instructions for completing the task.

* `assignee__v` - The ID of the user assigned the task. This is the task owner.

* `created_date__v` - The date and time when the task was created.

* `assigned_date__v` - The date and time when the task was assigned.

* `due_date__v` - The date and time when the task is due.

* `workflow__v` - The workflow ID in which the task is configured.

* `workflow_class__sys` - Included with a value of `read_and_understood__sys` if the task is a  Read & Understood task.



---

**Previous:** [Retrieve Workflow Tasks](/safety/vault-api/api-reference/23.1/workflows/workflow-tasks/retrieve-workflow-tasks)  
**Next:** [Retrieve Workflow Task Actions](/safety/vault-api/api-reference/23.1/workflows/workflow-tasks/retrieve-workflow-task-actions)